server:
  port: 18082

spring:
  application:
    name: cache
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://192.168.211.141:3306/redpackage?useUnicode=true&characterEncoding=UTF-8&serverTimezone=Asia/Shanghai
    username: root
    password: 123456

  #RabbitMQ
  rabbitmq:
    host: 192.168.211.141
    port: 5672
    virtual-host: /
    username: guest
    password: guest

  #Redis
  redis:
    #timeout: 50000
    #sentinel:
    #  nodes: 192.168.211.141:8001,192.168.211.141:8002,192.168.211.141:8003
    #jedis:
    #  pool:
    #    max-active: 8
    #    max-wait: -1s
    #    max-idle: 8
    #    min-idle: 0
    cluster:
      nodes: 192.168.211.141:7001,192.168.211.141:7002,192.168.211.141:7003,192.168.211.141:7004,192.168.211.141:7005,192.168.211.141:7006

#Canal配置
canal:
  server: 192.168.211.141:11111
  destination: example
#日志
logging:
  level:
    root: error